BearSSL

br_hmac_key_context Struct Reference

HMAC key context. More...

`#include <bearssl_hmac.h>`

## Detailed Description

HMAC key context.

The HMAC key context is initialised with a hash function implementation and a secret key. Contents are opaque (callers should not access them directly). The caller is responsible for allocating the context where appropriate. Context initialisation and usage incurs no dynamic allocation, so there is no release function.

The documentation for this struct was generated from the following file:

- bearssl_hmac.h